Package org.flowable.engine.interceptor

# Interface IdentityLinkInterceptor

public interface IdentityLinkInterceptor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `handleAddAssigneeIdentityLinkToTask(org.flowable.task.service.impl.persistence.entity.TaskEntity taskEntity, String assignee)`
  `void`
  `handleAddIdentityLinkToTask(org.flowable.task.service.impl.persistence.entity.TaskEntity taskEntity, org.flowable.identitylink.service.impl.persistence.entity.IdentityLinkEntity identityLinkEntity)`
  `void`
  `handleAddOwnerIdentityLinkToTask(org.flowable.task.service.impl.persistence.entity.TaskEntity taskEntity, String owner)`
  `void`
  `handleCompleteTask(org.flowable.task.service.impl.persistence.entity.TaskEntity task)`
  `void`
  `handleCreateProcessInstance(org.flowable.engine.impl.persistence.entity.ExecutionEntity processInstanceExecution)`
  `void`
  `handleCreateSubProcessInstance(org.flowable.engine.impl.persistence.entity.ExecutionEntity subProcessInstanceExecution, org.flowable.engine.impl.persistence.entity.ExecutionEntity superExecution)`

- ## Method Details

  - ### handleCompleteTask

    void handleCompleteTask(org.flowable.task.service.impl.persistence.entity.TaskEntity task)

  - ### handleAddIdentityLinkToTask

    void handleAddIdentityLinkToTask(org.flowable.task.service.impl.persistence.entity.TaskEntity taskEntity, org.flowable.identitylink.service.impl.persistence.entity.IdentityLinkEntity identityLinkEntity)

  - ### handleAddAssigneeIdentityLinkToTask

    void handleAddAssigneeIdentityLinkToTask(org.flowable.task.service.impl.persistence.entity.TaskEntity taskEntity, String assignee)

  - ### handleAddOwnerIdentityLinkToTask

    void handleAddOwnerIdentityLinkToTask(org.flowable.task.service.impl.persistence.entity.TaskEntity taskEntity, String owner)

  - ### handleCreateProcessInstance

    void handleCreateProcessInstance(org.flowable.engine.impl.persistence.entity.ExecutionEntity processInstanceExecution)

  - ### handleCreateSubProcessInstance

    void handleCreateSubProcessInstance(org.flowable.engine.impl.persistence.entity.ExecutionEntity subProcessInstanceExecution, org.flowable.engine.impl.persistence.entity.ExecutionEntity superExecution)